Bug 892602 - Ensure translations are installed correctly and picked up at runtime
Ensure translations are installed correctly and picked up at runtime
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
2.1
Unspecified Unspecified
medium Severity medium
: ---
: 6.0 (Juno)
Assigned To: Sven Anderson
Shai Revivo
: Reopened, Triaged, ZStream
Depends On: 1086247
Blocks: 978541 1295785
  Show dependency treegraph
 
Reported: 2013-01-07 06:30 EST by Mark McLoughlin
Modified: 2016-06-29 17:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1086247 (view as bug list)
Environment:
Last Closed: 2015-12-16 10:31:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2013-01-07 06:30:08 EST
This probably applies to all services, but let's start with Nova ...

Firstly, we don't include compiled message catalogs in our packages (i.e. .mo files) - we should be able to do e.g. 'python setup.py compile_catalog' to help with this. To understand what's going on here, read docs about babel and look at setup.cfg.

Secondly, at runtime, we do:

  gettext.install('nova', unicode=1)

which means that gettext looks for message catalogs in e.g.

  /usr/share/locale/$LANG/LC_MESSAGES/nova.mo

so, we either need to install them there or use the 'localedir' argument to gettext.install() to tell gettext where they are
Comment 10 Sven Anderson 2016-02-02 07:02:59 EST
Babel has merged a necessary patch upstream: https://github.com/python-babel/babel/pull/335
Waiting for next babel release.

Note You need to log in before you can comment on or make changes to this bug.